.TH xmerl_xpath 3 "xmerl  1.2.1" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
xmerl_xpath \- The xmerl_xpath module handles the entire XPath 1\&.0 spec XPath expressions typically occurs in XML attributes and are used to addres parts of an XML document\&.
.SH DESCRIPTION
.LP
The xmerl_xpath module handles the entire XPath 1\&.0 spec XPath expressions typically occurs in XML attributes and are used to addres parts of an XML document\&. The grammar is defined in \fIxmerl_xpath_parse\&.yrl\fR\&. The core functions are defined in \fIxmerl_xpath_pred\&.erl\fR\&.
.LP
Some useful shell commands for debugging the XPath parser

.nf
 c(xmerl_xpath_scan)\&.
 yecc:yecc("xmerl_xpath_parse\&.yrl", "xmerl_xpath_parse", true, [])\&.
 c(xmerl_xpath_parse)\&.

 xmerl_xpath_parse:parse(xmerl_xpath_scan:tokens("position() > -1"))\&.
 xmerl_xpath_parse:parse(xmerl_xpath_scan:tokens("5 * 6 div 2"))\&.
 xmerl_xpath_parse:parse(xmerl_xpath_scan:tokens("5 + 6 mod 2"))\&.
 xmerl_xpath_parse:parse(xmerl_xpath_scan:tokens("5 * 6"))\&.
 xmerl_xpath_parse:parse(xmerl_xpath_scan:tokens("-----6"))\&.
 xmerl_xpath_parse:parse(xmerl_xpath_scan:tokens("parent::node()"))\&.
 xmerl_xpath_parse:parse(xmerl_xpath_scan:tokens("descendant-or-self::node()"))\&.
 xmerl_xpath_parse:parse(xmerl_xpath_scan:tokens("parent::processing-instruction(\&'foo\&')"))\&.
  
.fi

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIdocEntity() = xmlElement() | xmlAttribute() | xmlText() | xmlPI() | xmlComment()\fR:

.TP 4
.B
\fInodeEntity() = xmlElement() | xmlAttribute() | xmlText() | xmlPI() | xmlNamespace() | xmlDocument()\fR:

.TP 4
.B
\fIoption_list()\fR:

.RS 4
.LP
Options allows to customize the behaviour of the XPath scanner\&. 
.LP
Possible options are: 
.RS 2
.TP 4
.B
\fI{namespace, #xmlNamespace}\fR:
Set namespace nodes, from XmlNamspace, in xmlContext
.TP 4
.B
\fI{namespace, Nodes}\fR:
Set namespace nodes in xmlContext\&.
.RE
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
string(Str, Doc) -> [docEntity()] | Scalar
.br
.RS
.LP
Equivalent to string(Str, Doc, [])\&.
.RE
.LP
.B
string(Str, Doc, Options) -> [docEntity()] | Scalar
.br
.RS
.LP
Equivalent to string(Str, Doc, [], Doc, Options)\&.
.RE
.LP
.B
string(Str, Node, Parents, Doc, Options) -> [docEntity()] | Scalar
.br
.RS
.TP
Types
Str = xPathString()
.br
Node = nodeEntity()
.br
Parents = parentList()
.br
Doc = nodeEntity()
.br
Options = option_list()
.br
Scalar = xmlObj
.br
.RE
.RS
.LP
Extracts the nodes from the parsed XML tree according to XPath\&. xmlObj is a record with fields type and value, where type is boolean | number | string
.RE
